## org.apache.solr.client.solrj.request
Class CoreAdminRequest.WaitForState

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.CoreAdminRequest
              org.apache.solr.client.solrj.request.CoreAdminRequest.WaitForState

All Implemented Interfaces:
  Serializable

Enclosing class:
  CoreAdminRequest

    public static class CoreAdminRequest.WaitForState

extends CoreAdminRequest

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`CoreAdminRequest.Create, CoreAdminRequest.MergeIndexes, CoreAdminRequest.Persist, CoreAdminRequest.RequestRecovery, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Field Summary
`protected Boolean` `checkLive`
`protected String` `coreNodeName`
`protected String` `nodeName`
`protected Integer` `pauseFor`
`protected String` `state`

Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`action, core, other`

Constructor Summary
`CoreAdminRequest.WaitForState()`

Method Summary
`Boolean` `getCheckLive()`
`String` `getCoreNodeName()`
`String` `getNodeName()`
`SolrParams` `getParams()`
`Integer` `getPauseFor()`
`String` `getState()`
`void` `setCheckLive(Boolean checkLive)`
`void` `setCoreNodeName(String coreNodeName)`
`void` `setNodeName(String nodeName)`
`void` `setPauseFor(Integer pauseFor)`
`void` `setState(String state)`

Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`createCore, createCore, getContentStreams, getStatus, mergeIndexes, persist, process, reloadCore, renameCore, setAction, setCoreName, setOtherCoreName, unloadCore, unloadCore`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodeName

    protected String nodeName

### coreNodeName

    protected String coreNodeName

### state

    protected String state

### checkLive

    protected Boolean checkLive

### pauseFor

    protected Integer pauseFor

Constructor Detail

### CoreAdminRequest.WaitForState

    public CoreAdminRequest.WaitForState()

Method Detail

### setNodeName

    public void setNodeName(String nodeName)

### getNodeName

    public String getNodeName()

### getCoreNodeName

    public String getCoreNodeName()

### setCoreNodeName

    public void setCoreNodeName(String coreNodeName)

### getState

    public String getState()

### setState

    public void setState(String state)

### getCheckLive

    public Boolean getCheckLive()

### setCheckLive

    public void setCheckLive(Boolean checkLive)

### getPauseFor

    public Integer getPauseFor()

### setPauseFor

    public void setPauseFor(Integer pauseFor)

### getParams

    public SolrParams getParams()

  Overrides:
    `getParams` in class `CoreAdminRequest`